#!/bin/bash
pid=$$
name=$(cat -A /proc/$pid/cmdline | tr '^@' ' ' | awk '{print $2}')
[ "`id -u`" -ne 0 ] && echo -e "\033[31mYou are not running this as a user with elevated privileges.\033[0m Please either \033[32mlog in as root and re-run this script\033[0m, or run \033[32msudo $name\033[0m. This script will now terminate." && exit
echo "Checking operating system version..."
osstr=`hostnamectl |grep "Operating System" |awk '{$1=""; $2=""; print $0}'`
echo "Detected operating system as:"
echo -e "\033[32m$osstr\033[0m"
osname=`echo "$osstr" |awk '{print $1}'`
osver=`echo "$osstr" |sed 's/GNU\/Linux//g'`
echo -e "$osver Detected"
apt update && apt install curl
case `echo $osver` in
        "Debian 13"*)
                echo "Installing Repo, please wait..."
		curl https://repo.hibbian.org/hibbian/pool/main/h/hibbian-archive-keyring/hibbian-archive-keyring_20250715~hibbian13+1_all.deb | tee /tmp/hibbian-archive-keyring.deb 
		apt install /tmp/hibbian-archive-keyring.deb
                echo -e "\033[32mRepository added correctly.\033[0m"
        ;;
        "Debian 12"*)
                echo "Installing Repo, please wait..."
		curl https://repo.hibbian.org/packetrepo/pool/main/h/hibbian-archive-keyring/hibbian-archive-keyring_20240924~packetrepo12+3_all.deb | tee /tmp/hibbian-archive-keyring.deb 
		apt install /tmp/hibbian-archive-keyring.deb
                echo -e "\033[32mRepository added correctly.\033[0m"
        ;;
        "Raspbian 12"*)
                echo "Installing Repo, please wait..."
		curl https://repo.hibbian.org/packetrepo/pool/main/h/hibbian-archive-keyring/hibbian-archive-keyring_20240924~packetrepo12+3_all.deb | tee /tmp/hibbian-archive-keyring.deb 
		apt install /tmp/hibbian-archive-keyring.deb
                echo -e "\033[32mRepository added correctly.\033[0m"
        ;;
        "Raspbian 11"*)
                echo "Installing Repo, please wait..."
		curl https://repo.hibbian.org/packetrepo/pool/main/h/hibbian-archive-keyring/hibbian-archive-keyring_20240924~packetrepo11+3_all.deb | tee /tmp/hibbian-archive-keyring.deb 
		apt install /tmp/hibbian-archive-keyring.deb
                echo -e "\033[32mRepository added correctly.\033[0m"
        ;;
        "Debian 11"*)
                echo "Installing Repo, please wait..."
		curl https://repo.hibbian.org/packetrepo/pool/main/h/hibbian-archive-keyring/hibbian-archive-keyring_20240924~packetrepo11+3_all.deb | tee /tmp/hibbian-archive-keyring.deb 
		apt install /tmp/hibbian-archive-keyring.deb
                echo -e "\033[32mRepository added correctly.\033[0m"
        ;;
        *)
                echo "No repository to add - check you are running a compatible operating system. Please see https://www.hibbian.org for more information" && exit
        ;;
esac
echo "Updating your package lists..."
apt update
echo -e "\033[32mPackage list update complete\033[0m"
echo -e "This script will now exit. You can install packages from the new repository by running:"
echo ""
echo -e "\033[32msudo apt install <packagename>\033[0m"
echo ""
echo "Or if you are logged in as root already:"
echo ""
echo -e "\033[32mapt install <packagename>\033[0m"
echo ""
exit
